package com.jkcredit.asychronous;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.mongo.MongoAutoConfiguration;
import org.springframework.boot.web.client.RestTemplateBuilder;
import org.springframework.context.annotation.Bean;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.web.client.RestTemplate;

/**
 * @author sunzhaoning
 */
@EnableScheduling
@SpringBootApplication
public class AsychronousApplication {

    @Autowired
    private RestTemplateBuilder builder;

    @Bean
    public RestTemplate restTemplate() {
        return builder.setConnectTimeout(3000).setReadTimeout(3000).build();
    }

    public static void main(String[] args) {
        SpringApplication.run(AsychronousApplication.class, args);
    }
}
