package com.jkcredit.asychronous.controller;

import com.jkcredit.asychronous.common.ResponseEntity;
import com.jkcredit.asychronous.entity.Charge;
import com.jkcredit.asychronous.service.ChargeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.domain.Pageable;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author sunzhaoning
 */
@RestController
@RequestMapping("charge")
public class ChargeController {

    @Autowired
    private ChargeService chargeService;


    @PostMapping("countList/{user}/{api}/{start}/{end}")
    public ResponseEntity findList(@PathVariable String user, @PathVariable String api, @PathVariable Long start, @PathVariable Long end) {
        List<Charge> chargeList = chargeService.findByUserAndTime(user, api, start, end);
        if (chargeList.size() > 0) {
            return new ResponseEntity(200, "查询成功", chargeList);
        }
        return null;
    }

    @PostMapping("count/{user}/{api}/{start}/{end}")
    public ResponseEntity findCount(@PathVariable String user, @PathVariable String api, @PathVariable Long start, @PathVariable Long end) {
        return new ResponseEntity(200, "查询成功", chargeService.findCountByUserAndTime(user, api, start, end));
    }

    @PostMapping("test/{user}/{api}/{start}/{end}/{page}/{size}")
    public Page<Charge> test(@PathVariable String user, @PathVariable String api, @PathVariable Long start, @PathVariable Long end, @PathVariable int page, @PathVariable int size) {
        Pageable pageable = new PageRequest(page, size);
        Page<Charge> pages = chargeService.page(user, api, start, end, pageable);
        return pages;
    }

    @PostMapping("manCount/{start}/{end}")
    public int manCount(@PathVariable Long start, @PathVariable Long end) {
        String api = "MAN_CHECK";
        return chargeService.findCountByTime(api, start, end);
    }
}
