package com.jkcredit.asychronous.controller;

import com.jkcredit.asychronous.common.ResponseEntity;
import com.jkcredit.asychronous.entity.Man;
import com.jkcredit.asychronous.entity.User;
import com.jkcredit.asychronous.ftp.ManDownloadRoute;
import com.jkcredit.asychronous.service.ManService;
import com.jkcredit.asychronous.service.UserService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.UUID;

/**
 * @Descirption
 * @Author Zhaoning Sun
 * @Date Created in 2018/6/22 下午7:19
 */
@Slf4j
@RestController
@RequestMapping("man")
public class ManController {

    @Autowired
    private ManService manService;
    @Autowired
    private UserService userService;

    @PostMapping("receive")
    public Object receiveMan(@RequestBody Man man) {
        String requestId = System.currentTimeMillis() + UUID.randomUUID().toString();
        //判断用户名是否为空
        if (("").equals(man.getUserName()) || man.getUserName() == null) {
            return new ResponseEntity(9003, "参数错误", "error", "");
        }
        //判断被查询人姓名是否为空
        if (("").equals(man.getName()) || man.getName() == null) {
            return new ResponseEntity(9003, "参数错误", "error", "");
        }
        if (("").equals(man.getIdCard()) || man.getIdCard() == null) {
            return new ResponseEntity(9003, "参数错误", "error", "");
        }
        if (("").equals(man.getCallBlackUrl()) || man.getCallBlackUrl() == null) {
            return new ResponseEntity(9003, "参数错误", "error", "");
        }
        //查询用户
        List<User> users = userService.selectByUserName(man.getUserName().trim());
        //判断查询结果是否为空
        if (users == null) {
            return new ResponseEntity(9001, "非法用户", "error", "");
        }
        for (User user : users) {
            //判断用户是否有改接口的接口权限
            if (!"MAN_CHECK".equals(user.getApi())) {
                return new ResponseEntity(9002, "接口未授权", "error", "");
            } else {
                //如果有权限 将数据添加到数据库 等待文件生产
                man.setTime(System.currentTimeMillis());
                man.setRequestId(requestId);
                manService.insert(man);
                log.info("插入成功：{}", man);
                return new ResponseEntity(1000, "请求成功", "success", requestId);
            }
        }
        return new ResponseEntity(9004, "接口错误", "error", "");
    }


}
