package com.jkcredit.asychronous.controller;

import com.jkcredit.asychronous.common.ResponseEntity;
import com.jkcredit.asychronous.entity.User;
import com.jkcredit.asychronous.service.UserService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@Slf4j
@RestController
@RequestMapping("user")
public class UserController {

    @Autowired
    private UserService userService;

    @PostMapping("save")
    public ResponseEntity saveUser(@RequestBody User user){
        userService.save(user);
        return new ResponseEntity(200,"插入成功",user);
    }

    @PostMapping("findAll")
    public ResponseEntity selectAllUser(){
        List<User> userList = userService.selectAllUser();
        return new ResponseEntity(200,"查询成功",userList);
    }

    @PostMapping("find/{name}")
    public ResponseEntity findByName(@PathVariable String name){
        List<User> userList = userService.selectByUserName(name);
        return new ResponseEntity(200,"查询成功",userList);
    }

}
