package com.jkcredit.asychronous.dao;

import com.jkcredit.asychronous.entity.Car;
import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.data.mongodb.repository.Query;

import java.util.List;

/**
 * @Descirption
 * @Author Zhaoning Sun
 * @Date Created in 2018/6/22 下午4:14
 */
public interface CarRepository extends MongoRepository<Car, Long> {

    /**
     * 根据开始结束时间查询数据
     * @param beginTime 开始时间
     * @param endTime 结束时间
     * @return 返回车辆list
     */
    @Query(value = "{" + "time:{$gte:?0,$lte:?1}\n" + "}")
    List<Car> selectByTime(Long beginTime, Long endTime);

}
