package com.jkcredit.asychronous.entity;


import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Descirption 公安不良回调实体
 * @Author Zhaoning Sun
 * @Date Created in 2018/10/12 上午11:28
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ManResult implements Serializable {

    private static final long serialVersionUID = 6989516301338504012L;

    /**
     * 客户编号
     */
    private String userName;

    /**
     * 身份号
     */
    private String idCard;

    /**
     * 姓名
     */
    private String name;

    /**
     * 身份证一致不一致
     */
    private Integer isIdCard;

    /**
     * 是否在逃
     */
    private Integer isEscape;

    /**
     * 是否有前科
     */
    private Integer isPedigree;

    /**
     * 是否吸毒贩毒
     */
    private Integer isDrugs;

    /**
     * 返回状态码
     */
    private Integer resultCode;

    /**
     * 客户传入回调地址
     */
    private String callBlackUrl;

    /**
     * 批次
     */
    private String batch;

    /**
     * 流水号
     */
    private String requestId;

}
