package com.jkcredit.asychronous.ftp;

import com.jkcredit.asychronous.process.CarLocationFileProcessor;
import lombok.extern.slf4j.Slf4j;
import org.apache.camel.LoggingLevel;
import org.apache.camel.builder.RouteBuilder;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * @Descirption
 * @Author Zhaoning Sun
 * @Date Created in 2018/6/22 上午11:49
 */
@Slf4j
//@Component
public class CarDownloadRoute extends RouteBuilder {

    @Value("${carftp.download.ftp}")
    private String sftpServer;
    @Value("${carftp.download.dir}")
    private String downloadLocation;

    @Autowired
    private CarLocationFileProcessor carLocationFileProcessor;

    @Override
    public void configure() throws Exception {
        downRoute();
        parseRoute();
    }

    /**
     * 下载路由
     */
    private void downRoute() {
        from(sftpServer).to(downloadLocation).log(LoggingLevel.INFO, log, "Downloaded CarFile ${file:name} complete.");
    }

    /**
     * 解析路由
     */
    private void parseRoute() {
        from(downloadLocation).process(carLocationFileProcessor).log(LoggingLevel.INFO, log, "Read CarFile ${file:name} complete.");

    }
}
