package com.jkcredit.asychronous.ftp;

import com.jkcredit.asychronous.process.ManLocationFileProcessor;
import com.jkcredit.asychronous.util.SFTPUtil;
import lombok.extern.slf4j.Slf4j;
import org.apache.camel.LoggingLevel;
import org.apache.camel.builder.RouteBuilder;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * @Descirption
 * @Author Zhaoning Sun
 * @Date Created in 2018/6/22 上午11:49
 */
@Slf4j
@Component
public class ManDownloadRoute extends RouteBuilder {
    @Value("${manftp.download.dir}")
    private String downloadLocation;

    @Autowired
    private ManLocationFileProcessor manLocationFileProcessor;

    @Override
    public void configure() {
        parseRoute();
    }

    /**
     * 解析路由
     */
    private void parseRoute() {
        from(downloadLocation).process(manLocationFileProcessor).log(LoggingLevel.INFO, log, "Read ManFile ${file:name} complete.");

    }
}
