package com.jkcredit.asychronous.service;

import com.jkcredit.asychronous.entity.User;

import java.util.List;

public interface UserService {

    /**
     * 根据用户名查询用户信息
     * @param userName
     * @return
     */
    List<User> selectByUserName(String userName);

    /**
     * 查询所有用户
     * @return
     */
    List<User> selectAllUser();

    /**
     * 根据用户名和API查询用户是否有接口权限
     * @param userName
     * @param api
     * @return
     */
    User selectByUserNameAndApi(String userName,String api);

    /**
     * 新增用户权限
     * @param user
     */
    void save(User user);
}
