package com.jkcredit.asychronous.service.impl;

import com.jkcredit.asychronous.dao.UserRepository;
import com.jkcredit.asychronous.entity.User;
import com.jkcredit.asychronous.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("userService")
public class UserServiceImpl implements UserService {

    @Autowired
    private UserRepository userRepository;

    @Override
    public List<User> selectByUserName(String userName) {
        return userRepository.findByUserName(userName);
    }

    @Override
    public List<User> selectAllUser() {
        return userRepository.findAll();
    }

    @Override
    public User selectByUserNameAndApi(String userName, String api) {
        return userRepository.selectByUserNameAndApi(userName,api);
    }

    @Override
    public void save(User user) {
        userRepository.save(user);
    }
}
